Bug 345191 - rkward: crashes with R 2.6
rkward: crashes with R 2.6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rkward (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Pierre-Yves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 09:34 EDT by Bjorge Solli
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.4.8-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 03:48:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjorge Solli 2007-10-22 09:34:03 EDT
Description of problem:
rkward crashes immediately after start with error:
/usr/bin/rkward.bin: symbol lookup error: /usr/bin/rkward.bin: undefined symbol:
R_LastvalueSymbol

Version-Release number of selected component (if applicable):
rkward-0.4.7-4.fc7
R-2.6.0-1.fc7

How reproducible:
every time

Steps to Reproduce:
1. start rkward
  
Actual results:
/usr/bin/rkward.bin: symbol lookup error: /usr/bin/rkward.bin: undefined symbol:
R_LastvalueSymbol
[quits]

Expected results:
opening of rkward window

Additional info:
According to http://rkward.sourceforge.net/ "R 2.6.0: Previous releases of
RKWard will not work with the upcoming R 2.6.0. You need RKWard 0.4.8 (i.e. this
release) in order to work with R 2.6.0. Note that when upgrading R after RKWard,
you will need to recompile."
Comment 1 Pierre-Yves 2007-10-23 07:58:50 EDT
The new version is waiting to be push in the testing repository.

I will let you know as soon as possible when it is available.

Thanks for your report, and sorry for having been late.

Regards
Comment 2 Bjorge Solli 2007-10-23 09:45:11 EDT
Will this take a long time?

Actually; would you mind sending me the rpms if it takes a long time? You can
send them to my work address: bjorge.solli@it.uib.no

Thanks for packaging rkward!
Comment 3 Pierre-Yves 2007-10-25 03:48:06 EDT
# yum --enablerepo=updates-testing install rkward

I close this bug, 

Thanks for your help

Note You need to log in before you can comment on or make changes to this bug.